> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.vitablehealth.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.vitablehealth.com/_mcp/server.

# Submit

POST https://api.vitablehealth.com/v1/groups/{group_id}/members/sync
Content-Type: application/json

Submits a member sync payload for the specified group. Members in the payload will be queued for processing asynchronously. Returns HTTP 202 with the batch ID and acceptance timestamp.

Reference: https://developer.vitablehealth.com/api/groups/members/sync/submit

## Authentication

- `Authorization` header (bearer token, required) — API Key or Access Token authentication using Bearer token in Authorization header. API keys use the vit_apk_ prefix, access tokens use the vit_at_ prefix.

## Servers

- `https://api.vitablehealth.com` (Production, default)
- `https://api.uat.vitablehealth.com` (UAT)

## Request

### Path parameters

- `group_id` (string, required) — Unique group identifier (grp_*)

### Body (application/json)

This endpoint expects a GroupMemberSyncRequest.

- `members` (list of GroupMemberSyncMemberRequest, required)

## Response

### 202

- `data` (GroupMemberSyncResponse, required) — The group member sync request, including its current processing status.

## Errors

### 400 Bad Request Error

Bad Request - Invalid input or validation error

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

### 401 Unauthorized Error

Unauthorized - Invalid or missing API key

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

### 403 Forbidden Error

Forbidden - Insufficient permissions for this resource

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

### 404 Not Found Error

Not Found - The requested resource does not exist

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

### 409 Conflict Error

Conflict - Resource already exists or conflicts with current state

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

### 422 Unprocessable Entity Error

Unprocessable Entity - Business rule or domain invariant violated

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

### 429 Too Many Requests Error

Too Many Requests - Rate limit exceeded

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

### 500 Internal Server Error

Internal Server Error - An unexpected error occurred

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

### 502 Bad Gateway Error

Bad Gateway - External service error

- `timestamp` (datetime, required) — ISO 8601 timestamp when the error occurred
- `message` (string, required) — Human-readable error message
- `error` (string, required) — Error message (same as message, for backwards compatibility)
- `trace_id` (string, required) — Unique trace ID for debugging and support requests
- `app_error_code` (string, optional, nullable) — Application-specific error code for programmatic handling

## Types

### GroupMemberSyncMemberRequest

- `reference_id` (string, required) — Your own identifier for this member. Vitable echoes it back on sync failures so you can match them to your records.
- `first_name` (string, required) — Member's legal first name.
- `last_name` (string, required) — Member's legal last name.
- `date_of_birth` (date, required) — Member's date of birth as `YYYY-MM-DD`.
- `plan_id` (string, required) — Plan the member should be subscribed to (`plan_*`).
- `address` (AddressRequest, required) — The member's postal address.
- `phone` (string, optional, nullable) — Member's contact phone number in E.164 format.
- `email` (string, optional, nullable) — Member's email address. Vitable sends care and coverage notices here.

### GroupMemberSyncResponse

- `request_id` (string, required) — Identifier for this sync request. Pass it to `GET /v1/groups/{group_id}/members/sync/{request_id}` to poll for results.
- `group_id` (string, required) — Group whose roster is being synced (`grp_*`).
- `accepted_at` (datetime, required) — When Vitable accepted the sync request for processing (RFC 3339).

### AddressRequest

- `address_line_1` (string, required) — Street address, including house or building number.
- `city` (string, required) — City or town name.
- `state` (string, required) — Two-letter USPS state or territory code, e.g. `PA`.
- `zipcode` (string, required) — US postal code, either five digits or ZIP+4.
- `address_line_2` (string, optional, nullable) — Apartment, suite, unit, or floor. Omit if not applicable.

## Examples

### Group Member Sync Accepted

**Response**

```json
{
  "data": {
    "request_id": "grpmsr_abc123def456",
    "group_id": "grp_abc123def456",
    "accepted_at": "2026-01-15T10:30:00Z"
  }
}
```

**SDK Code**

```python Group Member Sync Accepted
import requests

url = "https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync"

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Group Member Sync Accepted
const url = 'https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync';
const options = {method: 'POST', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Group Member Sync Accepted
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Group Member Sync Accepted
require 'uri'
require 'net/http'

url = URI("https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Group Member Sync Accepted
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php Group Member Sync Accepted
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Group Member Sync Accepted
using RestSharp;

var client = new RestClient("https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Group Member Sync Accepted
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Group Member Sync Request

**Request**

```json
{
  "members": [
    {
      "reference_id": "EMP-001",
      "first_name": "Jane",
      "last_name": "Doe",
      "date_of_birth": "1990-05-15",
      "plan_id": "pln_abc123def456",
      "address": {
        "address_line_1": "123 Main Street",
        "city": "San Francisco",
        "state": "CA",
        "zipcode": "94102",
        "address_line_2": "Apt 4B"
      },
      "phone": "4155550100",
      "email": "jane.doe@acme.com"
    }
  ]
}
```

**Response**

```json
{
  "data": {
    "request_id": "grpmsr_abc123def456",
    "group_id": "grp_abc123def456",
    "accepted_at": "2026-01-15T10:30:00Z"
  }
}
```

**SDK Code**

```python Group Member Sync Request
import requests

url = "https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync"

payload = { "members": [
        {
            "reference_id": "EMP-001",
            "first_name": "Jane",
            "last_name": "Doe",
            "date_of_birth": "1990-05-15",
            "plan_id": "pln_abc123def456",
            "address": {
                "address_line_1": "123 Main Street",
                "city": "San Francisco",
                "state": "CA",
                "zipcode": "94102",
                "address_line_2": "Apt 4B"
            },
            "phone": "4155550100",
            "email": "jane.doe@acme.com"
        }
    ] }
headers = {
    "Authorization": "Bearer <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Group Member Sync Request
const url = 'https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <apiKey>', 'Content-Type': 'application/json'},
  body: '{"members":[{"reference_id":"EMP-001","first_name":"Jane","last_name":"Doe","date_of_birth":"1990-05-15","plan_id":"pln_abc123def456","address":{"address_line_1":"123 Main Street","city":"San Francisco","state":"CA","zipcode":"94102","address_line_2":"Apt 4B"},"phone":"4155550100","email":"jane.doe@acme.com"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Group Member Sync Request
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync"

	payload := strings.NewReader("{\n  \"members\": [\n    {\n      \"reference_id\": \"EMP-001\",\n      \"first_name\": \"Jane\",\n      \"last_name\": \"Doe\",\n      \"date_of_birth\": \"1990-05-15\",\n      \"plan_id\": \"pln_abc123def456\",\n      \"address\": {\n        \"address_line_1\": \"123 Main Street\",\n        \"city\": \"San Francisco\",\n        \"state\": \"CA\",\n        \"zipcode\": \"94102\",\n        \"address_line_2\": \"Apt 4B\"\n      },\n      \"phone\": \"4155550100\",\n      \"email\": \"jane.doe@acme.com\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Group Member Sync Request
require 'uri'
require 'net/http'

url = URI("https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"members\": [\n    {\n      \"reference_id\": \"EMP-001\",\n      \"first_name\": \"Jane\",\n      \"last_name\": \"Doe\",\n      \"date_of_birth\": \"1990-05-15\",\n      \"plan_id\": \"pln_abc123def456\",\n      \"address\": {\n        \"address_line_1\": \"123 Main Street\",\n        \"city\": \"San Francisco\",\n        \"state\": \"CA\",\n        \"zipcode\": \"94102\",\n        \"address_line_2\": \"Apt 4B\"\n      },\n      \"phone\": \"4155550100\",\n      \"email\": \"jane.doe@acme.com\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Group Member Sync Request
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync")
  .header("Authorization", "Bearer <apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"members\": [\n    {\n      \"reference_id\": \"EMP-001\",\n      \"first_name\": \"Jane\",\n      \"last_name\": \"Doe\",\n      \"date_of_birth\": \"1990-05-15\",\n      \"plan_id\": \"pln_abc123def456\",\n      \"address\": {\n        \"address_line_1\": \"123 Main Street\",\n        \"city\": \"San Francisco\",\n        \"state\": \"CA\",\n        \"zipcode\": \"94102\",\n        \"address_line_2\": \"Apt 4B\"\n      },\n      \"phone\": \"4155550100\",\n      \"email\": \"jane.doe@acme.com\"\n    }\n  ]\n}")
  .asString();
```

```php Group Member Sync Request
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync', [
  'body' => '{
  "members": [
    {
      "reference_id": "EMP-001",
      "first_name": "Jane",
      "last_name": "Doe",
      "date_of_birth": "1990-05-15",
      "plan_id": "pln_abc123def456",
      "address": {
        "address_line_1": "123 Main Street",
        "city": "San Francisco",
        "state": "CA",
        "zipcode": "94102",
        "address_line_2": "Apt 4B"
      },
      "phone": "4155550100",
      "email": "jane.doe@acme.com"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Group Member Sync Request
using RestSharp;

var client = new RestClient("https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"members\": [\n    {\n      \"reference_id\": \"EMP-001\",\n      \"first_name\": \"Jane\",\n      \"last_name\": \"Doe\",\n      \"date_of_birth\": \"1990-05-15\",\n      \"plan_id\": \"pln_abc123def456\",\n      \"address\": {\n        \"address_line_1\": \"123 Main Street\",\n        \"city\": \"San Francisco\",\n        \"state\": \"CA\",\n        \"zipcode\": \"94102\",\n        \"address_line_2\": \"Apt 4B\"\n      },\n      \"phone\": \"4155550100\",\n      \"email\": \"jane.doe@acme.com\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Group Member Sync Request
import Foundation

let headers = [
  "Authorization": "Bearer <apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["members": [
    [
      "reference_id": "EMP-001",
      "first_name": "Jane",
      "last_name": "Doe",
      "date_of_birth": "1990-05-15",
      "plan_id": "pln_abc123def456",
      "address": [
        "address_line_1": "123 Main Street",
        "city": "San Francisco",
        "state": "CA",
        "zipcode": "94102",
        "address_line_2": "Apt 4B"
      ],
      "phone": "4155550100",
      "email": "jane.doe@acme.com"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vitablehealth.com/v1/groups/grp_abc123def456/members/sync")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```